Bug 252569 - [exp-run] update multiple ports
Summary: [exp-run] update multiple ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-10 23:32 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2021-01-26 14:22 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2021-01-10 23:32:33 UTC
Update multiple ports:
- archivers/zstd
- astro/cfitsio
- devel/libunwind
- devel/protobuf
- devel/py-protobuf
- devel/readline
- graphics/gdal
- graphics/geos
- graphics/p5-Geo-GDAL
- graphics/py-gdal
- science/netcdf
- science/netcdf-fortran
- textproc/py-docutils
Comment 1 Steve Wills freebsd_committer 2021-01-11 03:36:35 UTC
These things seem unrelated, why are they grouped together?
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2021-01-11 16:05:49 UTC
(In reply to Steve Wills from comment #1)

The patch includes gdal with the dependencies, protobuf, py-docutils and readline. I've tested for a period of time and there's no conflicts among them. Of course I could split them into multiple exp-run PRs but I feel it's more convenient for antoine@ to apply the patch.
Comment 3 Antoine Brodin freebsd_committer 2021-01-16 08:13:51 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2021-01-26 14:00:36 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 13:59:39 UTC 2021
New revision: 562666
URL: https://svnweb.freebsd.org/changeset/ports/562666

Log:
  Update to 1.4.8

  Changes:	https://github.com/facebook/zstd/releases
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/archivers/zstd/Makefile
  head/archivers/zstd/distinfo
  head/archivers/zstd/pkg-plist
Comment 5 commit-hook freebsd_committer 2021-01-26 14:00:37 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:00:11 UTC 2021
New revision: 562667
URL: https://svnweb.freebsd.org/changeset/ports/562667

Log:
  Update to 3.49

  Changes:	https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/docs/changes.txt
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/astro/cfitsio/Makefile
  head/astro/cfitsio/distinfo
Comment 6 commit-hook freebsd_committer 2021-01-26 14:00:38 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:00:25 UTC 2021
New revision: 562669
URL: https://svnweb.freebsd.org/changeset/ports/562669

Log:
  Update to 20201110 (1.5.0)

  Changes:	https://github.com/libunwind/libunwind/releases
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/devel/libunwind/Makefile
  head/devel/libunwind/distinfo
  head/devel/libunwind/files/patch-llvm11
Comment 7 commit-hook freebsd_committer 2021-01-26 14:01:40 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:00:57 UTC 2021
New revision: 562670
URL: https://svnweb.freebsd.org/changeset/ports/562670

Log:
  Update to 3.14.0

  Changes:	https://github.com/protocolbuffers/protobuf/releases
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/pkg-plist
Comment 8 commit-hook freebsd_committer 2021-01-26 14:01:41 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:01:35 UTC 2021
New revision: 562673
URL: https://svnweb.freebsd.org/changeset/ports/562673

Log:
  Update to 8.1

  Changes:	https://tiswww.case.edu/php/chet/readline/CHANGES
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/devel/readline/Makefile
  head/devel/readline/distinfo
  head/devel/readline/files/patch-support-shlib-install
  head/devel/readline/files/patch-support-shobj-conf
  head/devel/readline/pkg-plist
Comment 9 commit-hook freebsd_committer 2021-01-26 14:02:42 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:01:54 UTC 2021
New revision: 562674
URL: https://svnweb.freebsd.org/changeset/ports/562674

Log:
  Update to 3.2.1

  Changes:	https://github.com/OSGeo/gdal/blob/release/3.2/gdal/NEWS
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/graphics/gdal/Makefile
  head/graphics/gdal/distinfo
  head/graphics/gdal/pkg-plist
Comment 10 commit-hook freebsd_committer 2021-01-26 14:02:42 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:02:00 UTC 2021
New revision: 562675
URL: https://svnweb.freebsd.org/changeset/ports/562675

Log:
  Update to 3.9.0

  Changes:	https://trac.osgeo.org/geos/browser/git/NEWS?rev=3.9
  		https://github.com/libgeos/geos/blob/3.9/NEWS
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/graphics/geos/Makefile
  head/graphics/geos/distinfo
  head/graphics/geos/files/patch-tests-geostest-Makefile.in
  head/graphics/geos/files/patch-tests-thread-Makefile.in
  head/graphics/geos/pkg-plist
Comment 11 commit-hook freebsd_committer 2021-01-26 14:04:44 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:03:54 UTC 2021
New revision: 562678
URL: https://svnweb.freebsd.org/changeset/ports/562678

Log:
  Update to 4.7.4

  - Convert PORTDOCS to PLIST entries

  Changes:	https://github.com/Unidata/netcdf-c/releases
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/science/netcdf/Makefile
  head/science/netcdf/distinfo
  head/science/netcdf/pkg-plist
Comment 12 commit-hook freebsd_committer 2021-01-26 14:04:44 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:04:12 UTC 2021
New revision: 562680
URL: https://svnweb.freebsd.org/changeset/ports/562680

Log:
  Update to 4.5.3

  Changes:	https://github.com/Unidata/netcdf-fortran/releases
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/science/netcdf-fortran/Makefile
  head/science/netcdf-fortran/distinfo
  head/science/netcdf-fortran/pkg-plist
Comment 13 commit-hook freebsd_committer 2021-01-26 14:04:45 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jan 26 14:04:17 UTC 2021
New revision: 562681
URL: https://svnweb.freebsd.org/changeset/ports/562681

Log:
  Update to 0.16

  Changes:	https://sourceforge.net/p/docutils/code/HEAD/tree/trunk/docutils/HISTORY.txt
  PR:		252569
  Exp-run by:	antoine

Changes:
  head/textproc/py-docutils/Makefile
  head/textproc/py-docutils/distinfo
Comment 14 Sunpoet Po-Chuan Hsieh freebsd_committer 2021-01-26 14:22:46 UTC
Committed. Thanks!